Bug 172093 - chinese/fcitx fixes a startup warning
Summary: chinese/fcitx fixes a startup warning
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-26 15:10 UTC by HU Dong
Modified: 2012-10-15 20:14 UTC (History)
0 users

See Also:


Attachments
file.diff (1006 bytes, patch)
2012-09-26 15:10 UTC, HU Dong
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description HU Dong 2012-09-26 15:10:02 UTC
fcitx would report 2 warnings when started due to misconfigured file path in xkb.c.

***
I/O warning: failed to load external entity "/usr/share/X11/xkb/rules/base.xml"
I/O warning: failed to load external entity "/usr/share/X11/xkb/rules/base.extras.xml"

Fix: see the attatched patch

Patch attached with submission follows:
How-To-Repeat: kill all fcitx process, then execute fcitx from any terminal emulator.
Comment 1 Edwin Groothuis freebsd_committer 2012-09-26 15:10:10 UTC
Maintainer of chinese/fcitx,

Please note that PR ports/172093 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172093

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-26 15:10:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 lichray 2012-09-26 22:09:40 UTC
Hi,

I don't know how to produce this problem but the patch is correct.
Please commit it.

And, committer, could you do me a favor? There is a tiny problem in
the pkg-plist -- the entry "qtim" should be "libqtim". Please change
it at the same time. Thanks.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 lichray 2012-09-30 23:14:37 UTC
Wait a sec. Could you please do a `make configure` under chinese/fcitx
again? I want to make sure whether you see a warning, saying "Warning:
Could not determine X binary directory. Assuming /usr/bin." If so,
another patch should be preferred:
https://github.com/fcitx/fcitx/commit/e87eaf11f116d9d09c52996deecf2096767419c1

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 5 Xin LI freebsd_committer 2012-10-15 20:14:15 UTC
State Changed
From-To: feedback->closed

Fixed with maintainer submitted patch, thanks for your 
submission!
Comment 6 Xin LI freebsd_committer 2012-10-15 20:14:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Take.